Linux下Eric4开发,遇见“ could not start Qt-Designer”错误的解决办法

  本人初学python开发,在ubuntu12.10下安装了Eric集成开发环境。


初次创建项目,首先应该建立一个对话框:在左侧的ProjectViewer中切换到Forms选项卡(左数第二个),右键点空白位置,选New Form进行创建。


此时创建成功,但是无法编辑:提示“ could not start Qt-Designer”错误。


这是因为在/usr/bin路径下没有找到qt-designer的相关库,因而调用失败。解决的办法:安装qt-designer库。


sudo apt-get install qt4-designer


展开阅读全文

没有更多推荐了,返回首页